正在加载...

FreeBSD里默认的编辑器是老版的vi,而主流的Linux发行版基本都用升级版的vim取代vi了。用习惯了vim的用户会很不喜欢老版vi(像我就是),所以只能安装vim并配置为默认编辑器。

方法有多种,本人总结的最好的方法如下:

1、采用pkd_add的方式安装,等待一会就安装完成。

pkg_add -r -v vim-lite

(说明:不使用图形界面的建议安装vim-lite,而非vim,用ports安装vim默认是带X支持的,会附带安装上很多的X支持包。)

2、安装完vim-lite后配置下,输入下面的命令,让其有语法检查及颜色显示等功能。

echo “syntax on”>>/root/.vimrc
echo “alias vi vim” >>/root/.cshrc

: http://www.ha97.com/3903.html

本文相关评论 - 才一条评论
Max
2013-07-23 16:19:30
Firefox 20.0 Firefox 20.0 FreeBSD FreeBSD

有价值,刚好换在bsd下换vim!

建议修改一下示例,echo “” >> ~/.vimrc 和 echo “” >> ~/.cshrc